/*
Written by "Joseph Miller" <joseph@tidetamerboatlifts.com>
*/

int ttplayer_init();
int ttplayer_destroy();
int ttplayer_set_status(int playval);
int ttplayer_fileopen();
extern int ttplayer_Play;
extern char ttplayer_filename[];
extern HWND hwnd_Main;
extern HINSTANCE g_hInst;

#define TTPLAY_STOP	0
#define TTPLAY_PLAY	1
#define TTPLAY_PAUSE	2
#define TTPLAY_EXIT	3
#define TTPLAY_RESTART	4

#define IDB_OPEN    5501
#define IDB_PLAY    5502
#define IDB_BEGIN   5503
#define IDB_STOP    5504
#define IDB_BACK    5505
#define IDB_FORW    5506
#define IDB_PAUSE   5507

#define MAINMENU    5601
#define CM_FILE_EXIT 5602
#define CM_ABOUT     5603
#define CM_FILE_OPEN 5604
#define CM_FILE_USERPASS 5605
#define CM_HELP_DOCUMENTATION 5606

#define PROGRAM_ABOUT_MESSAGE about_program_message()

#define TTFILENAMESIZE	255
#define TTSTRINGSIZE	255
#define TTKEYLENGTH	16
#define TT_TMPBUFF_SIZE	512

#define TT_ERR_SUCCESS	0
#define TT_ERR_NOUSERINFO	-100
#define TT_ERR_REGFAIL	-101
#define TT_ERR_NOCONNECT	-102
#define TT_ERR_FAILED	-103
#define TT_ERR_BADUSERPASS	-104

